Show / Hide Table of Contents

# Struct AddonActionBarBase

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonActionBarBase

### Fields

| Improve this Doc View Source

#### ActionBarSlots

##### Declaration

    public ActionBarSlot*ActionBarSlots

##### Field Value

Type | Description
--- | ---
ActionBarSlot* |

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### CurrentPulsingSlots

Bitfield representing currently active pulses.

##### Declaration

    public short CurrentPulsingSlots

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### IsSharedHotbar

Whether the current hotbar is considered a "shared" hotbar or not.

##### Declaration

    public bool IsSharedHotbar

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### RaptureHotbarId

The ID of the hotbar in RaptureHotbarModule that this ActionBar is currently referencing.

##### Declaration

    public byte RaptureHotbarId

##### Field Value

Type | Description
--- | ---
System.Byte |

##### Remarks

This field is ignored for WHXBs.

| Improve this Doc View Source

#### SlotCount

##### Declaration

    public byte SlotCount

##### Field Value

Type | Description
--- | ---
System.Byte |

### Properties

| Improve this Doc View Source

#### Slot

##### Declaration

    public readonly Span<ActionBarSlot> Slot { get; }

##### Property Value

Type | Description
--- | ---
Span<ActionBarSlot> |

### Methods

| Improve this Doc View Source

#### PulseActionBarSlot(Int32)

##### Declaration

    public void PulseActionBarSlot(int slotIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | slotIndex |